Subject: bug#16894: 24.1; Text indentation/cursor position messed up.

From: Eli Zaretskii <[email-masked]>
Date: Fri, 28 Feb 2014 08:54:41 +0200

> From: Glenn Morris <[email-masked]>
> Date: Thu, 27 Feb 2014 21:08:34 -0500
> Cc: [email-masked]
> 
> mfrey wrote:
> 
> > I recently upgraded to emacs 24.3.1 (built from source) in order to
> > use a new mode for programming in D. I seem to have introduced some
> > problem with my other modes now (Java, C++ C I'm just using whatever
> > comes with emacs) even when going back to my previous version (21.1.1
> > nox). When I scroll up/down in a buffer, the text displayed is totally
> > messed up. As in lines mixed together, indentation screwy, cursor not
> > modifying where it looks like it is. If I hit ctrl-l the screen
> > refreshes and all is good. I noticed this problem every once in a
> > while with my previous version when editing C .h files. But now it's
> > happening on every single buffer.
> 
> Sorry, but I can't think of any way in which installing Emacs 24.3 could
> cause a problem with your previous installation of 21.1.
> I have no idea what to suggest.

Perhaps upgrading Emacs installed some other packages, like curses or
terminfo, which could explain this?